# Retrieve_Customer

Retrieve a customer.

`GET /v2/customers/{id}`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Customers
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Customers/Retrieve_Customer/

## Description

Retrieve a customer record from a company.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access a client ID, it is available from Company Settings -> Company Details -> Company ID |
| `id` | integer | path | Yes | The id of the customer record you which to obtain. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `CustomerResource` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `CustomerResource`

CertCapture customer resource

| Property | Type | Required | Description |
|---|---|---|---|
| `data` | CustomerResponse | No |  |

## Example Request

```bash
curl -X GET "https://sbx-api.certcapture.com/v2/v2/customers/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```